summaryrefslogtreecommitdiffstats
path: root/src/lib/connections/tuntap
diff options
context:
space:
mode:
Diffstat (limited to 'src/lib/connections/tuntap')
-rw-r--r--src/lib/connections/tuntap28
1 files changed, 28 insertions, 0 deletions
diff --git a/src/lib/connections/tuntap b/src/lib/connections/tuntap
new file mode 100644
index 0000000..6985c8c
--- /dev/null
+++ b/src/lib/connections/tuntap
@@ -0,0 +1,28 @@
+#! /bin/bash
+. /usr/lib/network/network
+
+tuntap_up() {
+ load_profile "$1"
+
+ if [[ -e /sys/class/net/$INTERFACE ]]; then
+ report_fail "Interface $INTERFACE already exists."
+ exit 1
+ else
+ ip tuntap add dev "$INTERFACE" mode "$MODE" \
+ user "$USER" group "$GROUP"
+ fi
+ IP=${IP-no} "$CONN_DIR/ethernet" up "$1"
+ return 0
+}
+
+tuntap_down() {
+ load_profile "$1"
+
+ "$CONN_DIR/ethernet" down "$1"
+ ip tuntap del dev "$INTERFACE" mode "$MODE"
+ return 0
+}
+
+tuntap_$1 "$2"
+exit $?
+# vim: set ts=4 et sw=4 tw=0: